%define version 0.14.1
%define release 1mdk

Summary: 	GUI Download manager using wget
Name: 		gwget
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/File transfer
# tar.gz at http://download.sf.net/gwget/
Source: 	http://prdownloads.sourceforge.net/gwget/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
URL: 		http://gwget.sourceforge.net/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildrequires:	libgnomeui2-devel
Buildrequires:	libglade2.0-devel
BuildRequires:	perl-XML-Parser
Requires: 	wget
#obsoletes old gtk+ 1.x based one
Obsoletes:	gwget2
Provides:	gwget2

%description
Gwget is a Download Manager for Gnome 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%prep
%setup -q

%build
%configure2_5x
%make CFLAGS="%optflags -Wall"

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 title="Gwget download manager" \
 longtitle="Download manager using wget as backend" \
 needs="x11" \
 icon="%{name}.png" \
 section="Internet/File Transfer"
EOF

install -D -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

# remove files not bundled
rm -rf %{buildroot}%{_prefix}/doc/ %{buildroot}%{_includedir}

%find_lang %{name} --with-gnome
 
%post
%update_menus
# make symbolic link for gwget2
#ln -s %{buildroot}/%{_bindir}/gwget %{_bindir}/gwget2 

%postun
%clean_menus 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/gwget/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Sep 12 2004 Jerome Soyer <saispo@mandrake.org> 0.14.1-1mdk
- New version

* Thu Aug 26 2004 Jerome Soyer <saispo@mandrake.org> 0.14-2mdk
- Fix BuildRequires

* Fri Aug 20 2004 Jerome Soyer <saispo@mandrake.org> 0.14-1mdk
- 0.14

* Thu Aug 19 2004 Jerome Soyer <saispo@mandrake.org> 0.13.1-2mdk
- Rebuild for new menu

* Sat Jul 24 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.13.1-1mdk
- 0.13.1

* Wed Jul 14 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.12-1mdk
- 0.12

* Tue Jun 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.11-1mdk
- 0.11

* Sun Jan 18 2004 Abel Cheung <deaddog@deaddog.org> 0.9-1mdk
- New version

* Sun Nov 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- 0.8

* Sun Oct 26 2003 Abel Cheung <deaddog@deaddog.org> 0.7-1mdk
- 0.7
- Build binary with rpm opt flags

* Mon Sep 29 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- First gwget2 package (GNOME 2 based), based on old gwget spec

* Sat Aug 02 2003 Michael Scherer <scherer.michael@free.fr> 0.5.2-3mdk 
- clean spec files.
- buildrequires 

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.2-2mdk
- Fix menu entry

* Sun Sep 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-5mdk
- rebuild

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-4mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- fix group

* Fri Oct 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile for Mandrake
